<div class="page">
  <div class="page-header home-header">
    <div class="title home-title">
      Transactions
    </div>
    <div class="actions">
      <ion-chip outline="true" color="white" [ngClass]="{'btn_color':  building=== true}" (click)="carfilterShow()">
        <ion-icon name="funnel"></ion-icon>
        <ion-label>Car</ion-label>
      </ion-chip>
      <ion-chip outline="true" color="white" [ngClass]="{'btn_color':  today=== true}" class="day_chip"
        (click)="datefilterShow()">
        <ion-icon name="calendar-outline"></ion-icon>
        <ion-label>Date</ion-label>
      </ion-chip>
    </div>
  </div>
  <bc-car-filter [customerId]="8" (onCarSelected)="filterCar($event)" (onFilterCleared)="onCarFilterCleared()"
    [hidden]="!carfilter == true">
  </bc-car-filter>
  <bc-date-filter (onDateSelected)="filterDate($event)" (onFilterCleared)="onDateFilterCleared()"
    [hidden]="!datefilter == true">
  </bc-date-filter>
</div>
<ion-content class="page-content">
  <div class="page-content inner" >
    <!-- <div style="margin-left: 5%;margin-right: 5%;"> -->
    <div *ngIf="paymentsDone.length > 0">
      <h2 style="margin-left: 5%;">Payment Due</h2>
      <ion-grid>
        <div *ngFor='let payment of paymentsDone' class="payment_card">
          <ion-row>
            <ion-col size='4' style="margin-left: 10px;">
              <img src="/assets/images/money.svg" alt="" srcset="" height="63px">
              <!-- <img src="/assets/images/vehicle_pending.svg" alt="" srcset="" class="pending-icon" style="max-width: 30%;margin-left: -25%;"
                *ngIf="payment.status!='completed'||(payment.status=='completed'&& payment.startmonth>=currentmonth)">
              <img src="/assets/images/vehicle_done.png" alt="" srcset="" class="completed1-icon" style="max-width: 30%;margin-left: -25%;"
                *ngIf="payment.status=='completed'&&(payment.status=='completed'&& payment.startmonth<currentmonth)"> -->
            </ion-col>
            <ion-col size='6' style="margin-left: -31px;margin-top: 18px;">
              <p style="margin-top: -17px; font-size: 22px;">{{payment.registration_no}}</p>

              <p style="margin-top: -12px;">
                <ion-icon name="today-outline" style="height: 19px;"></ion-icon>
                Date: {{payment.payment_date | date: 'shortDate'}}
              </p>
            </ion-col>
            <ion-col class="amount_row">
              <!-- <ion-list lines="none" style="padding: 0;"> -->
              <div style="--min-height: 15px;">
                <ion-label style="margin: 0px;font-size: 15px;text-align: center;color: green;">
                  <ion-span>AED</ion-span>
                </ion-label>
              </div>
              <div>
                <ion-label style="margin: 0px;text-align: center;font-size: 5vw;;">{{payment.payment_amount}}
                </ion-label>
              </div>
              <!-- </ion-list> -->
              <!-- <p style="font-size: 15px;margin: 12px 0px -34px -50px;">{{payment.payment_amount}}</p> -->
            </ion-col>
            <hr style="border-width: 1px;width: 100%;margin-top: -10px;">
          </ion-row>
          <!-- <hr style="border-width: 2px;"> -->
          <!-- <ion-row >
            <ion-col size="9">
            </ion-col>
            <ion-col size="3">
              <ion-list lines="none" style="padding: 0;" >
                <ion-item style="--min-height: 15px;" ><ion-label style="margin: 0px;font-size: 12px;text-align: center;color: green;"><ion-span>AED</ion-span></ion-label></ion-item>
                <ion-item><ion-label style="margin: 0px;text-align: center;font-size: 25px;;">125</ion-label></ion-item>
              </ion-list>
            </ion-col>
        </ion-row> -->
        </div>

      </ion-grid>

    </div>
    <div class="no-data-container" *ngIf="paymentsDone.length <= 0">
      <div>No Transactions found..!</div>
    </div>
    <!-- </div> -->

  </div>
  <ion-infinite-scroll threshold="100px" (ionInfinite)="loadData($event)">
    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="Loading more data...">
    </ion-infinite-scroll-content>
  </ion-infinite-scroll>
</ion-content>